package org.omg.appinst;

public interface ObservableScope {

	String getName();
	
	InstrumentationService getService();

	boolean isDataCollectionEnabled();

	void enableDataCollection() throws ReturnCodeException;

	void disableDataCollection() throws ReturnCodeException;

	ObservableObject createObservableObject(String name,
			ObservableObjectProperties properties) throws ReturnCodeException;

	ObservableObject createObservableGroup(String name)
			throws ReturnCodeException;

	void deleteObservableObject(ObservableObject obj)
			throws ReturnCodeException;

	ObservableObject[] getObservableObject();

	ObservableObject[] getObservableGroups(ObservableObject[] resultArray)
			throws ReturnCodeException;

	ObservableObject lookupObservableObject(String name)
			throws ReturnCodeException;

}
